SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000269SiT!inbound emailpublic2008-11-30 09:402009-02-27 16:28
Reporterkieran 
Assigned Tokieran 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.40 
Target Version3.45Fixed in Version3.45 
Summary0000269: Mime decoding not up to scratch
DescriptionThe mime decoding class can't deal well with emails with many parts. We need to look at something more robust. Example email attached that the parser barfs on.
Tagsmajorimpact
Attached Fileseml file icon fail.eml [^] (22,709 bytes) 2008-11-30 09:40

- Relationships
parent of 0000270closedivan Accented characters truncate inbound email body 

-  Notes
User avatar (0000236)
kieran (administrator)
2008-11-30 09:51

Also of note, the webtrack parser couldn't decode it either, so it's a pretty mangled email, but still something we need to decode :(
User avatar (0000283)
ivan (administrator)
2008-12-05 10:02

Nicdev (see message in forum https://sourceforge.net/forum/message.php?msg_id=5760926 [^]) had a message appear in the log like this (contact details censored with X's):

From: "XXXXX, Terry" <Terryxxxxx@xxxxxxxxxxx>
To: "EG, Contact Technical" <ContactXXXXX@XXXXX.com>
Subject: RE: [58] - Evolution S 2500 Failures - NSM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==
User avatar (0000297)
kieran (administrator)
2008-12-07 15:32

Resolved by svn trunk r4380.

- Issue History
Date Modified Username Field Change
2008-11-30 09:40 kieran New Issue
2008-11-30 09:40 kieran File Added: fail.eml
2008-11-30 09:51 kieran Note Added: 0000236
2008-12-03 12:19 kieran Status new => confirmed
2008-12-05 10:02 ivan Note Added: 0000283
2008-12-05 10:03 ivan Tag Attached: majorimpact
2008-12-05 16:13 ivan Relationship added parent of 0000270
2008-12-07 15:32 kieran Note Added: 0000297
2008-12-07 15:32 kieran Status confirmed => resolved
2008-12-07 15:32 kieran Fixed in Version => 3.45
2008-12-07 15:32 kieran Resolution open => fixed
2008-12-07 15:32 kieran Assigned To => kieran
2009-02-27 16:28 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker